QGIS Application - Bug report #5257
fTools 'Define current projection’ problem
2012-03-29 07:51 AM - elcuco -

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14991
Description

Hi,

In QGIS 1.7 .4, after | loaded a shapefile without a .prj file, | tried to use the fTools 'Define current projection’ to creat it. | choose the CRS
(I do not import it from another layer) and hit the OK button. But QGIS gives back this messege: "Output spatial reference system is not
valid"

I've tried in several computers with Windows XP and 7 and all of them gives the message.

| guess this is a bug, right?

Best regards

Pedro

Associated revisions

Revision 2abd900e - 2012-03-29 07:58 PM - Alexander Bruy

fix #5257

Revision 51ff2b54 - 2012-04-16 11:31 AM - Alexander Bruy

correctly handle user defined CRSes (fix #5257)

History

#1 - 2012-03-29 11:07 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"2abd900ed6f73d93866283c9c3dce191d451a686".

#2 - 2012-03-29 11:08 AM - Alexander Bruy
- Resolution set to fixed

#3 - 2012-04-02 02:23 AM - Filipe Dias

This is not fixed in QGIS 1.7 and QGIS Master (downloaded today)

#4 - 2012-04-02 07:04 AM - Giovanni Manghi
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

Filipe Dias wrote:

This is not fixed in QGIS 1.7 and QGIS Master (downloaded today)

can you please attach a sample to allow further tests? thanks

#5 - 2012-04-02 07:20 AM - Alexander Bruy

Filipe Dias wrote:

This is not fixed in QGIS 1.7 and QGIS Master (downloaded today)

Not reproducible here with latest master. Please provide sample dataset and step-by-step instruction.

#6 - 2012-04-02 07:43 AM - elcuco -
- File toponimia.zip added

Here it goes the shapefile that i'm trying to get fTools 'Define current projection' to work. The CRS that | whant is EPSG 20790. I'm trying to get it to work

on Windows.

#7 - 2012-04-02 07:51 AM - Alexander Bruy

elcuco - wrote:

Here it goes the shapefile that i'm trying to get fTools 'Define current projection’ to work. The CRS that | whant is EPSG 20790. I'm trying to get it to

work on Windows.

Works here with this data

#8 - 2012-04-02 07:53 AM - Giovanni Manghi

| have noticed that sometimes some old "configuration" of ftools remain stored in the .qgis folder, and removing it makes things work. Please give it a try

(eventually to a backup the same folder to save installed plugins).

#9 - 2012-04-02 07:58 AM - elcuco -

Giovanni Manghi wrote:

| have noticed that sometimes some old "configuration" of ftools remain stored in the .qgis folder, and removing it makes things work. Please give it a

try (eventually to a backup the same folder to save installed plugins).
Well, this error occurred in several new and clean installations of QGIS 1.7.4 in windows computers.

#10 - 2012-04-02 08:02 AM - Giovanni Manghi

Well, this error occurred in several new and clean installations of QGIS 1.7.4 in windows computers.

it depends on how "clean" was the installation, it sometimes not enough to remove the QGIS program, it is needed to swipe the .qgis folder and/or the
registry entries. It doesn't mean that is the case, but for instance minutes ago | fixed a ftools thing by removing the .qgis folder.

#11 - 2012-04-02 08:25 AM - elcuco -

Giovanni Manghi wrote:

Well, this error occurred in several new and clean installations of QGIS 1.7.4 in windows computers.

it depends on how "clean" was the installation, it sometimes not enough to remove the QGIS program, it is needed to swipe the .qgis folder and/or
the registry entries. It doesn't mean that is the case, but for instance minutes ago | fixed a ftools thing by removing the .qgis folder.

It was the first time QGIS was installed in those computers. The same error occurred in 7 computers. It's, at least, odd, don't you think?

#12 - 2012-04-03 07:31 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

Confirmed here, current trunk on debian testing

#13 - 2012-04-03 08:37 PM - zirneklitis -

Confirmed (Fedora 14 x 64 / 1.9.90-Alpha, 927dcbd). The configuration files were removed before opening QGIS (~/.qgis, ~/.config/QuantumGIS).

#14 - 2012-04-07 06:34 AM - Alexander Bruy
- Status changed from Feedback to Closed

Fixed in changeset commit:"f4460cb82154b0b5612e8b61c335b7fbecfdal3d".

#15 - 2012-04-09 03:10 AM - Giovanni Manghi

- OS version deleted (XP, 7)

- Affected QGIS version changed from 1.7.4 to master
- Status changed from Closed to Reopened

- Operating System deleted (Windows)

Alexander Bruy wrote:

2024-03-13 3/4



Fixed in changeset commit:"f4460cb82154b0b5612e8b61c335b7fbecfdal3d".

It still doesn't work with custom CRSs. Works with CRSs in the internal QGIS DB.

#16 - 2012-04-16 02:40 AM - Alexander Bruy
- Status changed from Reopened to Closed

Fixed in changeset commit:"51ff2b541398325c3c39689cef269fb684464b92".

#17 - 2012-04-16 02:40 AM - Alexander Bruy
- Resolution set to fixed
- Assignee set to Alexander Bruy

#18 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

toponimia.zip 11.7 KB 2012-04-02 elcuco -
